Qt no se instala



  • Siempre colapsa cuando se esta instalando. En el foro en ingles me han dicho que use la version offline pero realmente mi ingles no es tan bueno y el método parece no ser tan rápido. Existe algun otro metodo que sea rapido. No importa si es en ingles pero quiero que sea rapido.


  • Moderators

    Hola @Eduardo12l

    ¿Qué quiere decir "se colapsa"?

    Prueba instalándolo "poco a poco", es decir, usa el instalador online pero ve instalando los paquetes uno a uno.

    Un saludo



  • @juanki Como instalo paquete por paquete desde el instalador?


  • Moderators

    Hola @Eduardo12l

    Me refiero a esto:
    https://www.muylinux.com/wp-content/uploads/2016/06/06-Seleccionar-versiones-de-Qt-a-instalar.jpg

    Esa es una pantalla del instalador de Qt (La busqué por ahí, uso una distribución linux basada en Qt (KDE) y me vienen todos los paquetes en los repos, por lo que no uso el instalador).

    Ve marcando e instalando los paquetes uno a uno, así encontrarás el que te da problemas.

    Un saludo



  • @juanki Lo instalé pero en Windows 7 , pero me viene un problema, me dice que no tengo un Kit valido

    0_1516318448013_fa42192f-cd2e-459d-9ef3-e80c38c876f1-image.png


  • Moderators

    Hola

    La instalación si se hizo, intuyo que lo que te falta es el compilador.

    Imagino que escogiste el paquete de Qt que incluye en su nombre MSVC, tendrás que instalar el compilador MSVC, el de microsoft, desconozco de donde bajarlo, yo uso gcc en la instalación de Qt que tengo sobre windows.

    Si escogiste el paquete para gcc, en el mismo instalador, en Tools creo, te da opción de instalar el compilador gcc.

    Un saludo



  • @juanki Que raro, sí tengo instalado el Visual Studio 2015 y claro que compila en C++. El Qt que he descargado es el qt unified windows x86 - 3.0.2-online.

    PS: Creo que el Qt que estoy usando no es compatible con Visual Studio 2015, ¿Sabes cual es el ultimo
    Qt open source para MSVC 2015?


  • Moderators

    Hola @Eduardo12l

    Tienes que instalarte el paquete de Qt para MSVC 2015, y fíjate también que sea de 32 o 64 bits, dependiendo de la versión de MSVC que tengas instalado.

    Acabo de mirar en el instalador online y sí hay paquete para MSVC 2015 de la última versión de Qt.

    Un saludo


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.